disasterrecovery.oracle.com/v1beta1¶
APIVersion: disasterrecovery.oracle.com/v1beta1
This content is generated from the checked-in CRD schemas in config/crd/bases/. If a description is missing or incorrect, fix the source comments or generator inputs and rerun make generate manifests; do not hand-edit config/crd/bases/*.yaml.
Packages¶
No customer-visible package currently exposes disasterrecovery.oracle.com/v1beta1.
Resources¶
| Kind | Scope | Sample | Packages |
|---|---|---|---|
| DrPlan | Namespaced | Sample | - |
| DrProtectionGroup | Namespaced | Sample | - |
DrPlan¶
Manage OCI Disaster Recovery DR plans.
Plural:drplansScope:NamespacedAPIVersion:disasterrecovery.oracle.com/v1beta1Sample: Sample (config/samples/disasterrecovery_v1beta1_drplan.yaml)Packages: Not currently exposed by a customer-visible package.
Spec¶
DrPlanSpec defines the desired state of DrPlan.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
definedTags |
Defined tags for this resource. Each key is predefined and scoped to a namespace. Example: {"Operations": {"CostCenter": "42"}} |
map[string, map[string, string]] |
No | - | - |
displayName |
The display name of the DR plan being created. Example: EBS Switchover PHX to IAD |
string |
Yes | - | - |
drProtectionGroupId |
The OCID of the DR protection group to which this DR plan belongs. Example: ocid1.drprotectiongroup.oc1..uniqueID |
string |
Yes | - | - |
freeformTags |
Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example: {"Department": "Finance"} |
map[string, string] |
No | - | - |
planGroups |
An ordered list of groups in a DR plan. | list[object] |
No | - | - |
sourcePlanId |
The OCID of the source DR plan that should be cloned. Example: ocid1.drplan.oc1..uniqueID |
string |
No | - | - |
type |
The type of DR plan to be created. | string |
Yes | - | - |
Spec.planGroups[]¶
DrPlanPlanGroup defines nested fields for DrPlan.PlanGroup.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
displayName |
The display name of the group. Example: My_GROUP_3 - EBS Start |
string |
No | - | - |
id |
The unique id of the group. Must not be modified by user. Example: sgid1.group..uniqueID |
string |
No | - | - |
isPauseEnabled |
A flag indicating whether this group should be enabled for execution. This flag is only applicable to the USER_DEFINED_PAUSE group. The flag should be null for the remaining group types. Example: true |
boolean |
No | - | - |
steps |
The list of steps in this group. | list[object] |
No | - | - |
type |
The group type. Example: BUILT_IN |
string |
No | - | - |
Spec.planGroups[].steps[]¶
DrPlanPlanGroupStep defines nested fields for DrPlan.PlanGroup.Step.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
displayName |
The display name of the step in a group. Example: My_STEP_3A - EBS Start - STAGE A |
string |
No | - | - |
errorMode |
The error mode for this step. The default error mode for the step is STOP_ON_ERROR. |
string |
No | - | - |
id |
The unique id of the step. Example: sgid1.step..uniqueID |
string |
No | - | - |
isEnabled |
A flag indicating whether this step should be enabled for execution. The default value for the isEnabled flag is true. Example: true |
boolean |
No | - | - |
timeout |
The timeout in seconds for executing this step. When creating a new step, if no timeout is specified, the default timeout is set to 3600 seconds. Example: 600 |
integer |
No | - | - |
userDefinedStep |
DrPlanPlanGroupStepUserDefinedStep defines nested fields for DrPlan.PlanGroup.Step.UserDefinedStep. | object |
No | - | - |
Spec.planGroups[].steps[].userDefinedStep¶
DrPlanPlanGroupStepUserDefinedStep defines nested fields for DrPlan.PlanGroup.Step.UserDefinedStep.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
functionId |
The OCID of function to be invoked. Example: ocid1.fnfunc.oc1..uniqueID |
string |
No | - | - |
jsonData |
- | string |
No | - | - |
objectStorageScriptLocation |
DrPlanPlanGroupStepUserDefinedStepObjectStorageScriptLocation defines nested fields for DrPlan.PlanGroup.Step.UserDefinedStep.ObjectStorageScriptLocation. | object |
No | - | - |
requestBody |
The request body for the function. Example: { "FnParam1", "FnParam2" } |
string |
No | - | - |
runAsUser |
The userid on the instance to be used for executing the script or command. Example: opc |
string |
No | - | - |
runOnInstanceId |
The OCID of the instance on which this precheck script or command should be executed. For moving instances: runOnInstanceId must be the OCID of the instance in the region where the instance is currently present. For non-moving instances: runOnInstanceId must be the OCID of the non-moving instance. Example: ocid1.instance.oc1..uniqueID |
string |
No | - | - |
scriptCommand |
The script name and arguments. Example: /usr/bin/python3 /home/opc/scripts/my_app_script.py arg1 arg2 arg3 |
string |
No | - | - |
stepType |
- | string |
No | - | - |
Spec.planGroups[].steps[].userDefinedStep.objectStorageScriptLocation¶
DrPlanPlanGroupStepUserDefinedStepObjectStorageScriptLocation defines nested fields for DrPlan.PlanGroup.Step.UserDefinedStep.ObjectStorageScriptLocation.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
bucket |
The bucket name inside the object storage namespace. Example: custom_dr_scripts |
string |
Yes | - | - |
namespace |
The namespace in object storage (Note - this is usually the tenancy name). Example: myocitenancy |
string |
Yes | - | - |
object |
The object name inside the object storage bucket. Example: validate_app_start.sh |
string |
Yes | - | - |
Status¶
DrPlanStatus defines the observed state of DrPlan.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
compartmentId |
The OCID of the compartment containing the DR plan. Example: ocid1.compartment.oc1..uniqueID |
string |
No | - | - |
definedTags |
Defined tags for this resource. Each key is predefined and scoped to a namespace. Example: {"Operations": {"CostCenter": "42"}} |
map[string, map[string, string]] |
No | - | - |
displayName |
The display name of the DR plan. Example: EBS Switchover PHX to IAD |
string |
No | - | - |
drProtectionGroupId |
The OCID of the DR protection group to which this DR plan belongs. Example: ocid1.drplan.oc1..uniqueID |
string |
No | - | - |
freeformTags |
Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example: {"Department": "Finance"} |
map[string, string] |
No | - | - |
id |
The OCID of the DR plan. Example: ocid1.drplan.oc1..uniqueID |
string |
No | - | - |
lifeCycleDetails |
A message describing the DR plan's current state in more detail. | string |
No | - | - |
lifecycleState |
The current state of the DR plan. | string |
No | - | - |
lifecycleSubState |
The current state of the DR plan. | string |
No | - | - |
peerDrProtectionGroupId |
The OCID of the peer DR protection group associated with this plan's DR protection group. Example: ocid1.drprotectiongroup.oc1..uniqueID |
string |
No | - | - |
peerRegion |
The region of the peer DR protection group associated with this plan's DR protection group. Example: us-ashburn-1 |
string |
No | - | - |
planGroups |
The list of groups in this DR plan. | list[object] |
No | - | - |
sourcePlanId |
If this is a cloned DR plan, the OCID of the source DR plan that was used to clone this DR plan. If this DR plan was not cloned, then the value for this will be null. Example: ocid1.drplan.oc1..uniqueID |
string |
No | - | - |
status |
- | object |
Yes | - | - |
systemTags |
Usage of system tag keys. These predefined keys are scoped to namespaces. Example: {"orcl-cloud": {"free-tier-retained": "true"}} |
map[string, map[string, string]] |
No | - | - |
timeCreated |
The date and time the DR plan was created. An RFC3339 formatted datetime string. Example: 2019-03-29T09:36:42Z |
string |
No | - | - |
timeUpdated |
The date and time the DR plan was updated. An RFC3339 formatted datetime string. Example: 2019-03-29T09:36:42Z |
string |
No | - | - |
type |
The type of the DR plan. | string |
No | - | - |
Status.planGroups[]¶
DrPlanPlanGroup defines nested fields for DrPlan.PlanGroup.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
displayName |
The display name of the group. Example: My_GROUP_3 - EBS Start |
string |
No | - | - |
id |
The unique id of the group. Must not be modified by user. Example: sgid1.group..uniqueID |
string |
No | - | - |
isPauseEnabled |
A flag indicating whether this group should be enabled for execution. This flag is only applicable to the USER_DEFINED_PAUSE group. The flag should be null for the remaining group types. Example: true |
boolean |
No | - | - |
steps |
The list of steps in this group. | list[object] |
No | - | - |
type |
The group type. Example: BUILT_IN |
string |
No | - | - |
Status.planGroups[].steps[]¶
DrPlanPlanGroupStep defines nested fields for DrPlan.PlanGroup.Step.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
displayName |
The display name of the step in a group. Example: My_STEP_3A - EBS Start - STAGE A |
string |
No | - | - |
errorMode |
The error mode for this step. The default error mode for the step is STOP_ON_ERROR. |
string |
No | - | - |
id |
The unique id of the step. Example: sgid1.step..uniqueID |
string |
No | - | - |
isEnabled |
A flag indicating whether this step should be enabled for execution. The default value for the isEnabled flag is true. Example: true |
boolean |
No | - | - |
timeout |
The timeout in seconds for executing this step. When creating a new step, if no timeout is specified, the default timeout is set to 3600 seconds. Example: 600 |
integer |
No | - | - |
userDefinedStep |
DrPlanPlanGroupStepUserDefinedStep defines nested fields for DrPlan.PlanGroup.Step.UserDefinedStep. | object |
No | - | - |
Status.planGroups[].steps[].userDefinedStep¶
DrPlanPlanGroupStepUserDefinedStep defines nested fields for DrPlan.PlanGroup.Step.UserDefinedStep.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
functionId |
The OCID of function to be invoked. Example: ocid1.fnfunc.oc1..uniqueID |
string |
No | - | - |
jsonData |
- | string |
No | - | - |
objectStorageScriptLocation |
DrPlanPlanGroupStepUserDefinedStepObjectStorageScriptLocation defines nested fields for DrPlan.PlanGroup.Step.UserDefinedStep.ObjectStorageScriptLocation. | object |
No | - | - |
requestBody |
The request body for the function. Example: { "FnParam1", "FnParam2" } |
string |
No | - | - |
runAsUser |
The userid on the instance to be used for executing the script or command. Example: opc |
string |
No | - | - |
runOnInstanceId |
The OCID of the instance on which this precheck script or command should be executed. For moving instances: runOnInstanceId must be the OCID of the instance in the region where the instance is currently present. For non-moving instances: runOnInstanceId must be the OCID of the non-moving instance. Example: ocid1.instance.oc1..uniqueID |
string |
No | - | - |
scriptCommand |
The script name and arguments. Example: /usr/bin/python3 /home/opc/scripts/my_app_script.py arg1 arg2 arg3 |
string |
No | - | - |
stepType |
- | string |
No | - | - |
Status.planGroups[].steps[].userDefinedStep.objectStorageScriptLocation¶
DrPlanPlanGroupStepUserDefinedStepObjectStorageScriptLocation defines nested fields for DrPlan.PlanGroup.Step.UserDefinedStep.ObjectStorageScriptLocation.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
bucket |
The bucket name inside the object storage namespace. Example: custom_dr_scripts |
string |
Yes | - | - |
namespace |
The namespace in object storage (Note - this is usually the tenancy name). Example: myocitenancy |
string |
Yes | - | - |
object |
The object name inside the object storage bucket. Example: validate_app_start.sh |
string |
Yes | - | - |
Status.status¶
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
async |
Async is the canonical controller-owned async contract. Resource-local legacy work-request fields may remain as compatibility mirrors while follow-on migrations land, but new async state should project here first. | object |
No | - | - |
conditions |
- | list[object] |
No | - | - |
createdAt |
- | string (date-time) |
No | - | - |
deletedAt |
- | string (date-time) |
No | - | - |
message |
- | string |
No | - | - |
ocid |
- | string |
No | - | - |
opcRequestId |
OpcRequestID is the latest non-empty OCI request ID from a mutating OCI response or surfaced OCI service error that materially contributed to the current shared status projection. Headerless follow-up observations keep the last non-empty value intact. | string |
No | - | - |
reason |
- | string |
No | - | - |
requestedAt |
- | string (date-time) |
No | - | - |
updatedAt |
- | string (date-time) |
No | - | - |
Status.status.async¶
Async is the canonical controller-owned async contract. Resource-local legacy work-request fields may remain as compatibility mirrors while follow-on migrations land, but new async state should project here first.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
current |
- | object |
No | - | - |
Status.status.async.current¶
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
message |
- | string |
No | - | - |
normalizedClass |
- | string |
Yes | - | attention, canceled, failed, pending, succeeded, unknown |
percentComplete |
- | number |
No | - | - |
phase |
- | string |
Yes | - | create, delete, update |
rawOperationType |
- | string |
No | - | - |
rawStatus |
- | string |
No | - | - |
source |
- | string |
Yes | - | lifecycle, none, workrequest |
updatedAt |
- | string (date-time) |
Yes | - | - |
workRequestId |
- | string |
No | - | - |
Status.status.conditions[]¶
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
lastTransitionTime |
- | string (date-time) |
No | - | - |
message |
- | string |
No | - | - |
reason |
- | string |
No | - | - |
status |
- | string |
Yes | - | - |
type |
- | string |
Yes | - | - |
DrProtectionGroup¶
Manage OCI Disaster Recovery protection groups.
Plural:drprotectiongroupsScope:NamespacedAPIVersion:disasterrecovery.oracle.com/v1beta1Sample: Sample (config/samples/disasterrecovery_v1beta1_drprotectiongroup.yaml)Packages: Not currently exposed by a customer-visible package.
Spec¶
DrProtectionGroupSpec defines the desired state of DrProtectionGroup.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
association |
DrProtectionGroupAssociation defines nested fields for DrProtectionGroup.Association. | object |
No | - | - |
compartmentId |
The OCID of the compartment in which to create the DR protection group. Example: ocid1.compartment.oc1..uniqueID |
string |
Yes | - | - |
definedTags |
Defined tags for this resource. Each key is predefined and scoped to a namespace. Example: {"Operations": {"CostCenter": "42"}} |
map[string, map[string, string]] |
No | - | - |
displayName |
The display name of the DR protection group. Example: EBS PHX Group |
string |
Yes | - | - |
freeformTags |
Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example: {"Department": "Finance"} |
map[string, string] |
No | - | - |
lifecycleState |
Optional exact-match filter used to narrow list-based binding and delete confirmation reads. Supported values include CREATING, ACTIVE, UPDATING, INACTIVE, NEEDS_ATTENTION, DELETING, DELETED, and FAILED. |
string |
No | - | - |
lifecycleSubState |
Optional exact-match filter used to narrow list-based binding and delete confirmation reads. Supported values include DR_DRILL_IN_PROGRESS, DR_PLAN_EXECUTION_IN_PROGRESS, and AUTOMATIC_DR_PLAN_EXECUTION_IN_PROGRESS. |
string |
No | - | - |
logLocation |
DrProtectionGroupLogLocation defines nested fields for DrProtectionGroup.LogLocation. | object |
Yes | - | - |
members |
A list of DR protection group members. | list[object] |
No | - | - |
role |
Optional exact-match filter used to narrow list-based binding and delete confirmation reads. Supported values include PRIMARY, STANDBY, and UNCONFIGURED. |
string |
No | - | - |
Spec.association¶
Back to DrProtectionGroup spec
DrProtectionGroupAssociation defines nested fields for DrProtectionGroup.Association.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
peerId |
The OCID of the peer DR protection group. Example: ocid1.drprotectiongroup.oc1..uniqueID |
string |
No | - | - |
peerRegion |
The region of the peer DR protection group. Example: us-ashburn-1 |
string |
No | - | - |
role |
The role of the DR protection group. Example: STANDBY |
string |
Yes | - | - |
Spec.logLocation¶
Back to DrProtectionGroup spec
DrProtectionGroupLogLocation defines nested fields for DrProtectionGroup.LogLocation.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
bucket |
The bucket name inside the object storage namespace. Example: operation_logs |
string |
Yes | - | - |
namespace |
The namespace in object storage (Note - this is usually the tenancy name). Example: myocitenancy |
string |
Yes | - | - |
Spec.members[]¶
Back to DrProtectionGroup spec
DrProtectionGroupMember defines nested fields for DrProtectionGroup.Member.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
autonomousDatabaseStandbyTypeForDrDrills |
This specifies the mechanism used to create a temporary Autonomous Database instance for DR Drills. See https://docs.oracle.com/en/cloud/paas/autonomous-database/serverless/adbsb/autonomous-clone-about.html for information about these clone types. See https://docs.oracle.com/en/cloud/paas/autonomous-database/serverless/adbsb/autonomous-data-guard-snapshot-standby.html for information about snapshot standby. | string |
No | - | - |
backendSetMappings |
A list of backend set mappings that are used to transfer or update backends during DR. | list[object] |
No | - | - |
backupConfig |
DrProtectionGroupMemberBackupConfig defines nested fields for DrProtectionGroup.Member.BackupConfig. | object |
No | - | - |
backupLocation |
DrProtectionGroupMemberBackupLocation defines nested fields for DrProtectionGroup.Member.BackupLocation. | object |
No | - | - |
blockVolumeAttachAndMountOperations |
DrProtectionGroupMemberBlockVolumeAttachAndMountOperations defines nested fields for DrProtectionGroup.Member.BlockVolumeAttachAndMountOperations. | object |
No | - | - |
blockVolumeOperations |
Deprecated. Use the 'blockVolumeAttachAndMountOperations' attribute instead of this. A list of operations performed on block volumes used by the compute instance. | list[object] |
No | - | - |
bucketName |
The bucket name inside the object storage namespace. Example: bucket_name |
string |
No | - | - |
commonDestinationKey |
DrProtectionGroupMemberCommonDestinationKey defines nested fields for DrProtectionGroup.Member.CommonDestinationKey. | object |
No | - | - |
connectionStringType |
The type of connection strings used to connect to an Autonomous Container Database snapshot standby created during a DR Drill operation. See https://docs.oracle.com/en/cloud/paas/autonomous-database/dedicated/adbcl/index.html for information about these service types. | string |
No | - | - |
dbSystemAdminUserDetails |
DrProtectionGroupMemberDbSystemAdminUserDetails defines nested fields for DrProtectionGroup.Member.DbSystemAdminUserDetails. | object |
No | - | - |
dbSystemReplicationUserDetails |
DrProtectionGroupMemberDbSystemReplicationUserDetails defines nested fields for DrProtectionGroup.Member.DbSystemReplicationUserDetails. | object |
No | - | - |
destinationAvailabilityDomain |
The availability domain of the destination mount target. Example: BBTh:region-AD |
string |
No | - | - |
destinationBackupPolicyId |
The OCID of the backup policy to use in the destination region. This policy will be used to create backups for this volume group after it moves the destination region. Example: ocid1.volumebackuppolicy.oc1..uniqueID |
string |
No | - | - |
destinationCapacityReservationId |
The OCID of a capacity reservation in the destination region which will be used to launch the compute instance. Example: ocid1.capacityreservation.oc1..uniqueID |
string |
No | - | - |
destinationCompartmentId |
The OCID of a compartment in the destination region in which the file system should be launched. Example: ocid1.compartment.oc1..uniqueID |
string |
No | - | - |
destinationDedicatedVmHostId |
The OCID of a dedicated VM host in the destination region where the compute instance should be launched. Example: ocid1.dedicatedvmhost.oc1..uniqueID |
string |
No | - | - |
destinationEncryptionKey |
DrProtectionGroupMemberDestinationEncryptionKey defines nested fields for DrProtectionGroup.Member.DestinationEncryptionKey. | object |
No | - | - |
destinationLoadBalancerId |
The OCID of the destination load balancer. Example: ocid1.loadbalancer.oc1..uniqueID |
string |
No | - | - |
destinationNetworkLoadBalancerId |
The OCID of the destination network load balancer. Example: ocid1.networkloadbalancer.oc1..uniqueID |
string |
No | - | - |
destinationSnapshotPolicyId |
The OCID of the snapshot policy to use in the destination region. This policy will be attached to the file system after it moves to the destination region. Example: ocid1.filesystemsnapshotpolicy.oc1..uniqueID |
string |
No | - | - |
exportMappings |
A list of mappings between file system exports in the primary region and mount targets in the standby region. | list[object] |
No | - | - |
fileSystemOperations |
A list of operations performed on file systems used by the compute instance. | list[object] |
No | - | - |
gtidReconciliationTimeout |
The maximum time (in seconds) to wait for the Global Transaction Identifier (GTID) synchronization process to complete before timing out. Example: 600 |
integer |
No | - | - |
isContinueOnGtidReconciliationTimeout |
A flag indicating whether to continue with DR operation if the Global Transaction Identifier (GTID) reconciliation operation times out. Example: false |
boolean |
No | - | - |
isMovable |
A flag indicating if the compute instance should be moved during DR operations. Example: false |
boolean |
No | - | - |
isRetainFaultDomain |
A flag indicating if the compute instance should be moved to the same fault domain in the destination region. The compute instance launch will fail if this flag is set to true and capacity is not available in the specified fault domain in the destination region. Example: false |
boolean |
No | - | - |
isStartStopEnabled |
A flag indicating whether the non-movable compute instance should be started and stopped during DR operations. Prechecks cannot be executed on stopped instances that are configured to be started. | boolean |
No | - | - |
jsonData |
- | string |
No | - | - |
jumpHostId |
The OCID of the compute instance member that is designated as a jump host. This compute instance will be used to perform DR operations on the cluster using Oracle Cloud Agent's Run Command feature. Example: ocid1.instance.oc1..uniqueID |
string |
No | - | - |
loadBalancerMappings |
The list of source-to-destination load balancer mappings required for DR operations. This property applies to the OKE cluster member in primary region. | list[object] |
No | - | - |
managedNodePoolConfigs |
The list of managed node pools with configurations for minimum and maximum node counts. This property applies to the OKE cluster member in both the primary and standby region. | list[object] |
No | - | - |
memberId |
The OCID of the member. Example: ocid1.instance.oc1..uniqueID |
string |
Yes | - | - |
memberType |
- | string |
No | - | - |
namespaceName |
The namespace in object storage (Note - this is usually the tenancy name). Example: myocitenancy |
string |
No | - | - |
networkLoadBalancerMappings |
The list of source-to-destination network load balancer mappings required for DR operations. This property applies to the OKE cluster member in primary region. | list[object] |
No | - | - |
passwordVaultSecretId |
The OCID of the vault secret where the database SYSDBA password is stored. Example: ocid1.vaultsecret.oc1..uniqueID |
string |
No | - | - |
peerClusterId |
The OCID of the peer OKE cluster. This property applies to the OKE cluster member in both the primary and standby region. Example: ocid1.cluster.oc1..uniqueID |
string |
No | - | - |
peerDbSystemId |
The OCID of the peer HeatWave MySQL DB System from the peer region. Example: ocid1.mysqldbsystem.oc1..uniqueID |
string |
No | - | - |
resourceModifierMappings |
The list of config maps along with their corresponding namespaces. This property applies to the OKE cluster member in primary region. | list[object] |
No | - | - |
sourceVolumeToDestinationEncryptionKeyMappings |
A list of mappings between source volume IDs in the volume group and customer-managed encryption keys in the destination region which will be used to encrypt the volume after it moves to the destination region. If you add the entry for source volumes and its corresponding vault and encryption keys here, you can not use 'commonDestinationKey' for encrypting all volumes with common encryption key. Similarly, if you specify common vault and encryption key using 'commonDestinationKey', you cannot specify vaults and encryption keys individually for each volume using 'sourceVolumeToDestinationEncryptionKeyMappings'. An entry for each volume in volume group should be added in this list. The encryption key will not be updated for the volumes that are part of volume group but missing in this list. | list[object] |
No | - | - |
vaultMappings |
The list of source-to-destination vault mappings required for DR operations. This property applies to the OKE cluster member in primary region. | list[object] |
No | - | - |
virtualNodePoolConfigs |
The list of virtual node pools with configurations for minimum and maximum node counts. This property applies to the OKE cluster member in both the primary and standby region. | list[object] |
No | - | - |
vnicMapping |
A list of compute instance VNIC mappings. | list[object] |
No | - | - |
vnicMappings |
A list of compute instance VNIC mappings. | list[object] |
No | - | - |
Spec.members[].backendSetMappings[]¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberBackendSetMapping defines nested fields for DrProtectionGroup.Member.BackendSetMapping.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
destinationBackendSetName |
The name of the destination backend set. Example: Destination-BackendSet-1 |
string |
Yes | - | - |
isBackendSetForNonMovable |
This flag specifies if this backend set is used for traffic for non-movable compute instances. Backend sets that point to non-movable instances are only enabled or disabled during DR, their contents are not altered. For non-movable instances this flag should be set to 'true'. Backend sets that point to movable instances are emptied and their contents are transferred to the destination region load balancer. For movable instances this flag should be set to 'false'. Example: true |
boolean |
Yes | - | - |
sourceBackendSetName |
The name of the source backend set. Example: Source-BackendSet-1 |
string |
Yes | - | - |
Spec.members[].backupConfig¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberBackupConfig defines nested fields for DrProtectionGroup.Member.BackupConfig.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
backupSchedule |
The schedule for backing up namespaces to the destination region. If a backup schedule is not specified, only a single backup will be created. This format of the string specifying the backup schedule must conform with RFC-5545 (see examples below). This schedule will use the UTC timezone. This property applies to the OKE cluster member in primary region. The backup frequency can be HOURLY, DAILY, WEEKLY or MONTHLY, and the upper and lower interval bounds are as follows HOURLY - Minimum = 1 - Maximum = 24 DAILY - Minimum = 1 - Maximum = 30 WEEKLY - Minimum = 1 - Maximum = 1 MONTHLY - Minimum = 1 - Maximum = 12 Examples: FREQ=WEEKLY;BYDAY=MO,WE;BYHOUR=10;INTERVAL=1 -> Run a backup every Monday and Wednesday at 10:00 AM. FREQ=WEEKLY;BYDAY=MO,WE;BYHOUR=10;INTERVAL=2 -> Invalid configuration (Cannot specify an interval of 2). FREQ=HOURLY;INTERVAL=25 -> Invalid configuration (Cannot specify an interval of 25). FREQ=HOURLY;INTERVAL=0 -> Invalid configuration (Cannot specify an interval of 0). FREQ=HOURLY;INTERVAL=24 -> Run a backup every 24 hours. FREQ=HOURLY;INTERVAL=1 -> Run a backup every hour. FREQ=HOURLY;BYMINUTE=30;INTERVAL=15 -> Run a backup every 15 hours at the 30th minute. FREQ=DAILY;INTERVAL=31 -> Invalid configuration (Cannot specify an interval of 31). FREQ=DAILY;INTERVAL=0 -> Invalid configuration (Cannot specify an interval of 0). FREQ=DAILY;INTERVAL=30 -> Run a backup every 30 days at 12:00 midnight. FREQ=DAILY;BYHOUR=17;BYMINUTE=10;INTERVAL=1 -> Run a backup daily at 05:10 PM. | string |
No | - | - |
excludeNamespaces |
A list of namespaces to be excluded from the backup. The default value is null. If a list of namespaces to exclude is not provided, all namespaces will be backed up. Specify either the namespaces or the excludeNamespaces parameter, but not both. This property applies to OKE cluster members in the primary region. Example: ["namespace_string_3", "namespace_string_4"] |
list[string] |
No | - | - |
imageReplicationVaultSecretId |
The OCID of the vault secret that stores the image credential. This property applies to the OKE cluster member in both the primary and standby region. | string |
No | - | - |
maxNumberOfBackupsRetained |
The maximum number of backups that should be retained. This property applies to the OKE cluster member in primary region. | integer |
No | - | - |
namespaces |
A list of namespaces to be included in the backup. The default value is null. If a list of namespaces to include is not provided, all namespaces will be backed up. Specify either the namespaces or the excludeNamespaces parameter, but not both. This property applies to the OKE cluster member in primary region. Example: ["default", "pv-nginx"] |
list[string] |
No | - | - |
replicateImages |
Controls the behaviour of image replication across regions. Image replication is enabled by default for DR Protection Groups with a primary role. This property applies to the OKE cluster member in primary region. | string |
No | - | - |
Spec.members[].backupLocation¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberBackupLocation defines nested fields for DrProtectionGroup.Member.BackupLocation.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
bucket |
The bucket name inside the object storage namespace. Example: operation_logs |
string |
No | - | - |
namespace |
The namespace in the object storage bucket location (Note - this is usually the tenancy name). Example: myocitenancy |
string |
No | - | - |
Spec.members[].blockVolumeAttachAndMountOperations¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberBlockVolumeAttachAndMountOperations defines nested fields for DrProtectionGroup.Member.BlockVolumeAttachAndMountOperations.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
attachments |
A list of details of attach or detach operations performed on block volumes. | list[object] |
No | - | - |
mounts |
A list of details of mount operations performed on block volumes. | list[object] |
No | - | - |
Spec.members[].blockVolumeAttachAndMountOperations.attachments[]¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberBlockVolumeAttachAndMountOperationsAttachment defines nested fields for DrProtectionGroup.Member.BlockVolumeAttachAndMountOperations.Attachment.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
blockVolumeId |
The OCID of the block volume. Example: ocid1.volume.oc1..uniqueID |
string |
Yes | - | - |
volumeAttachmentReferenceInstanceId |
The OCID of the reference compute instance needed to obtain the volume attachment details. This reference compute instance belongs to the peer DR protection group. Example: ocid1.instance.oc1..uniqueID |
string |
No | - | - |
Spec.members[].blockVolumeAttachAndMountOperations.mounts[]¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberBlockVolumeAttachAndMountOperationsMount defines nested fields for DrProtectionGroup.Member.BlockVolumeAttachAndMountOperations.Mount.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
mountPoint |
The physical mount point where the file system is mounted on the block volume. Example: /mnt/yourmountpoint |
string |
Yes | - | - |
Spec.members[].blockVolumeOperations[]¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberBlockVolumeOperation defines nested fields for DrProtectionGroup.Member.BlockVolumeOperation.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
attachmentDetails |
DrProtectionGroupMemberBlockVolumeOperationAttachmentDetails defines nested fields for DrProtectionGroup.Member.BlockVolumeOperation.AttachmentDetails. | object |
No | - | - |
blockVolumeId |
The OCID of the block volume. Example: ocid1.volume.oc1..uniqueID |
string |
Yes | - | - |
mountDetails |
DrProtectionGroupMemberBlockVolumeOperationMountDetails defines nested fields for DrProtectionGroup.Member.BlockVolumeOperation.MountDetails. | object |
No | - | - |
Spec.members[].blockVolumeOperations[].attachmentDetails¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberBlockVolumeOperationAttachmentDetails defines nested fields for DrProtectionGroup.Member.BlockVolumeOperation.AttachmentDetails.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
volumeAttachmentReferenceInstanceId |
The OCID of the reference compute instance needed to obtain the volume attachment details. This reference compute instance belongs to the peer DR protection group. Example: ocid1.instance.oc1..uniqueID |
string |
No | - | - |
Spec.members[].blockVolumeOperations[].mountDetails¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberBlockVolumeOperationMountDetails defines nested fields for DrProtectionGroup.Member.BlockVolumeOperation.MountDetails.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
mountPoint |
The physical mount point where the file system is mounted on the block volume. Example: /mnt/yourmountpoint |
string |
No | - | - |
Spec.members[].commonDestinationKey¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberCommonDestinationKey defines nested fields for DrProtectionGroup.Member.CommonDestinationKey.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
encryptionKeyId |
The OCID of the customer-managed encryption key in the destination region vault. Example: ocid1.key.oc1..uniqueID |
string |
Yes | - | - |
vaultId |
The OCID of the destination region vault for the customer-managed encryption key. Example: ocid1.vault.oc1..uniqueID |
string |
Yes | - | - |
Spec.members[].dbSystemAdminUserDetails¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberDbSystemAdminUserDetails defines nested fields for DrProtectionGroup.Member.DbSystemAdminUserDetails.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
passwordVaultSecretId |
The OCID of the vault secret where the HeatWave MySQL DB System password is stored. Example: ocid1.vaultsecret.oc1..uniqueID |
string |
Yes | - | - |
username |
The user name for connecting to the HeatWave MySQL DB System node. Example: user |
string |
Yes | - | - |
Spec.members[].dbSystemReplicationUserDetails¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberDbSystemReplicationUserDetails defines nested fields for DrProtectionGroup.Member.DbSystemReplicationUserDetails.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
passwordVaultSecretId |
The OCID of the vault secret where the HeatWave MySQL DB System password is stored. Example: ocid1.vaultsecret.oc1..uniqueID |
string |
Yes | - | - |
username |
The user name for connecting to the HeatWave MySQL DB System node. Example: user |
string |
Yes | - | - |
Spec.members[].destinationEncryptionKey¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberDestinationEncryptionKey defines nested fields for DrProtectionGroup.Member.DestinationEncryptionKey.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
encryptionKeyId |
The OCID of the customer-managed encryption key in the destination region vault. Example: ocid1.key.oc1..uniqueID |
string |
Yes | - | - |
vaultId |
The OCID of the destination region vault for the customer-managed encryption key. Example: ocid1.vault.oc1..uniqueID |
string |
Yes | - | - |
Spec.members[].exportMappings[]¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberExportMapping defines nested fields for DrProtectionGroup.Member.ExportMapping.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
destinationMountTargetId |
The OCID of the destination mount target in the destination region which is used to export the file system. Example: ocid1.mounttarget.oc1..uniqueID |
string |
Yes | - | - |
exportId |
The OCID of the export path in the primary region used to mount or unmount the file system. Example: ocid1.export.oc1..uniqueID |
string |
Yes | - | - |
Spec.members[].fileSystemOperations[]¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberFileSystemOperation defines nested fields for DrProtectionGroup.Member.FileSystemOperation.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
exportPath |
The export path of the file system. Example: /fs-export-path |
string |
Yes | - | - |
mountDetails |
DrProtectionGroupMemberFileSystemOperationMountDetails defines nested fields for DrProtectionGroup.Member.FileSystemOperation.MountDetails. | object |
Yes | - | - |
mountPoint |
The physical mount point of the file system on a host. Example: /mnt/yourmountpoint |
string |
Yes | - | - |
unmountDetails |
DrProtectionGroupMemberFileSystemOperationUnmountDetails defines nested fields for DrProtectionGroup.Member.FileSystemOperation.UnmountDetails. | object |
Yes | - | - |
Spec.members[].fileSystemOperations[].mountDetails¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberFileSystemOperationMountDetails defines nested fields for DrProtectionGroup.Member.FileSystemOperation.MountDetails.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
mountTargetId |
The OCID of the mount target for this file system. Example: ocid1.mounttarget.oc1..uniqueID |
string |
No | - | - |
Spec.members[].fileSystemOperations[].unmountDetails¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberFileSystemOperationUnmountDetails defines nested fields for DrProtectionGroup.Member.FileSystemOperation.UnmountDetails.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
mountTargetId |
The OCID of the mount target. Example: ocid1.mounttarget.oc1..uniqueID |
string |
No | - | - |
Spec.members[].loadBalancerMappings[]¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberLoadBalancerMapping defines nested fields for DrProtectionGroup.Member.LoadBalancerMapping.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
destinationLoadBalancerId |
The OCID of the destination Load Balancer. Example: ocid1.loadbalancer.oc1..uniqueID |
string |
Yes | - | - |
sourceLoadBalancerId |
The OCID of the source Load Balancer. Example: ocid1.loadbalancer.oc1..uniqueID |
string |
Yes | - | - |
Spec.members[].managedNodePoolConfigs[]¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberManagedNodePoolConfig defines nested fields for DrProtectionGroup.Member.ManagedNodePoolConfig.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
id |
The OCID of the managed node pool in OKE cluster. | string |
Yes | - | - |
maximum |
The maximum number to which nodes in the managed node pool could be scaled up. | integer |
No | - | - |
minimum |
The minimum number to which nodes in the managed node pool could be scaled down. | integer |
No | - | - |
Spec.members[].networkLoadBalancerMappings[]¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberNetworkLoadBalancerMapping defines nested fields for DrProtectionGroup.Member.NetworkLoadBalancerMapping.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
destinationNetworkLoadBalancerId |
The OCID of the Network Load Balancer. Example: ocid1.networkloadbalancer.oc1..uniqueID |
string |
Yes | - | - |
sourceNetworkLoadBalancerId |
The OCID of the source Network Load Balancer. Example: ocid1.networkloadbalancer.oc1..uniqueID |
string |
Yes | - | - |
Spec.members[].resourceModifierMappings[]¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberResourceModifierMapping defines nested fields for DrProtectionGroup.Member.ResourceModifierMapping.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
configMap |
The name of the config map containing resource modification details. Example: resource-modifier |
string |
Yes | - | - |
namespace |
The OKE namespace where the config map resides. Example: namespace_string_5 |
string |
Yes | - | - |
Spec.members[].sourceVolumeToDestinationEncryptionKeyMappings[]¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberSourceVolumeToDestinationEncryptionKeyMapping defines nested fields for DrProtectionGroup.Member.SourceVolumeToDestinationEncryptionKeyMapping.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
destinationEncryptionKey |
DrProtectionGroupMemberSourceVolumeToDestinationEncryptionKeyMappingDestinationEncryptionKey defines nested fields for DrProtectionGroup.Member.SourceVolumeToDestinationEncryptionKeyMapping.DestinationEncryptionKey. | object |
Yes | - | - |
sourceVolumeId |
The OCID of the source boot volume or block volume. Example: ocid1.volume.oc1..uniqueID |
string |
Yes | - | - |
Spec.members[].sourceVolumeToDestinationEncryptionKeyMappings[].destinationEncryptionKey¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberSourceVolumeToDestinationEncryptionKeyMappingDestinationEncryptionKey defines nested fields for DrProtectionGroup.Member.SourceVolumeToDestinationEncryptionKeyMapping.DestinationEncryptionKey.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
encryptionKeyId |
The OCID of the customer-managed encryption key in the destination region vault. Example: ocid1.key.oc1..uniqueID |
string |
Yes | - | - |
vaultId |
The OCID of the destination region vault for the customer-managed encryption key. Example: ocid1.vault.oc1..uniqueID |
string |
Yes | - | - |
Spec.members[].vaultMappings[]¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberVaultMapping defines nested fields for DrProtectionGroup.Member.VaultMapping.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
destinationVaultId |
The OCID of the destination Vault. Example: ocid1.vault.oc1..uniqueID |
string |
Yes | - | - |
sourceVaultId |
The OCID of the source Vault. Example: ocid1.vault.oc1..uniqueID |
string |
Yes | - | - |
Spec.members[].virtualNodePoolConfigs[]¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberVirtualNodePoolConfig defines nested fields for DrProtectionGroup.Member.VirtualNodePoolConfig.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
id |
The OCID of the virtual node pool in OKE cluster. | string |
Yes | - | - |
maximum |
The maximum number to which nodes in the virtual node pool could be scaled up. | integer |
No | - | - |
minimum |
The minimum number to which nodes in the virtual node pool could be scaled down. | integer |
No | - | - |
Spec.members[].vnicMapping[]¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberVnicMapping defines nested fields for DrProtectionGroup.Member.VnicMapping.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
destinationNsgIdList |
A list of OCIDs of network security groups (NSG) in the destination region which should be assigned to the source VNIC. Example: [ ocid1.networksecuritygroup.oc1..uniqueID, ocid1.networksecuritygroup.oc1..uniqueID ] |
list[string] |
No | - | - |
destinationPrimaryPrivateIpAddress |
The primary private IP address to be assigned to the source VNIC in the destination subnet. This IP address must belong to the destination subnet. Example: 10.0.3.3 |
string |
No | - | - |
destinationPrimaryPrivateIpHostnameLabel |
The hostname label to be assigned in the destination subnet for the primary private IP of the source VNIC. This label is the hostname portion of the private IP's fully qualified domain name (FQDN) (for example, 'myhost1' in the FQDN 'myhost1.subnet123.vcn1.oraclevcn.com'). Example: myhost1 |
string |
No | - | - |
destinationReservedPublicIpId |
The OCID of the reserved public IP address to be assigned to the compute instance in the destination region. Example: ocid1.publicip.oc1..uniqueID |
string |
No | - | - |
destinationSubnetId |
The OCID of the destination subnet to which the source VNIC should connect. Example: ocid1.subnet.oc1..uniqueID |
string |
Yes | - | - |
sourceVnicId |
The OCID of the source VNIC. Example: ocid1.vnic.oc1..uniqueID |
string |
Yes | - | - |
Spec.members[].vnicMappings[]¶
Back to DrProtectionGroup spec
DrProtectionGroupMemberVnicMapping defines nested fields for DrProtectionGroup.Member.VnicMapping.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
destinationNsgIdList |
A list of OCIDs of network security groups (NSG) in the destination region which should be assigned to the source VNIC. Example: [ ocid1.networksecuritygroup.oc1..uniqueID, ocid1.networksecuritygroup.oc1..uniqueID ] |
list[string] |
No | - | - |
destinationPrimaryPrivateIpAddress |
The primary private IP address to be assigned to the source VNIC in the destination subnet. This IP address must belong to the destination subnet. Example: 10.0.3.3 |
string |
No | - | - |
destinationPrimaryPrivateIpHostnameLabel |
The hostname label to be assigned in the destination subnet for the primary private IP of the source VNIC. This label is the hostname portion of the private IP's fully qualified domain name (FQDN) (for example, 'myhost1' in the FQDN 'myhost1.subnet123.vcn1.oraclevcn.com'). Example: myhost1 |
string |
No | - | - |
destinationReservedPublicIpId |
The OCID of the reserved public IP address to be assigned to the compute instance in the destination region. Example: ocid1.publicip.oc1..uniqueID |
string |
No | - | - |
destinationSubnetId |
The OCID of the destination subnet to which the source VNIC should connect. Example: ocid1.subnet.oc1..uniqueID |
string |
Yes | - | - |
sourceVnicId |
The OCID of the source VNIC. Example: ocid1.vnic.oc1..uniqueID |
string |
Yes | - | - |
Status¶
DrProtectionGroupStatus defines the observed state of DrProtectionGroup.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
compartmentId |
The OCID of the compartment containing the DR protection group. Example: ocid1.compartment.oc1..uniqueID |
string |
No | - | - |
definedTags |
Defined tags for this resource. Each key is predefined and scoped to a namespace. Example: {"Operations": {"CostCenter": "42"}} |
map[string, map[string, string]] |
No | - | - |
displayName |
The display name of the DR protection group. Example: EBS PHX Group |
string |
No | - | - |
freeformTags |
Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example: {"Department": "Finance"} |
map[string, string] |
No | - | - |
id |
The OCID of the DR protection group. Example: ocid1.drprotectiongroup.oc1..uniqueID |
string |
No | - | - |
lifeCycleDetails |
A message describing the DR protection group's current state in more detail. | string |
No | - | - |
lifecycleState |
The current state of the DR protection group. | string |
No | - | - |
lifecycleSubState |
The current sub-state of the DR protection group. | string |
No | - | - |
logLocation |
DrProtectionGroupLogLocation defines nested fields for DrProtectionGroup.LogLocation. | object |
No | - | - |
members |
A list of DR protection group members. | list[object] |
No | - | - |
peerId |
The OCID of the peer DR protection group. Example: ocid1.drprotectiongroup.oc1..uniqueID |
string |
No | - | - |
peerRegion |
The region of the peer DR protection group. Example: us-ashburn-1 |
string |
No | - | - |
role |
The role of the DR protection group. | string |
No | - | - |
status |
- | object |
Yes | - | - |
systemTags |
Usage of system tag keys. These predefined keys are scoped to namespaces. Example: {"orcl-cloud": {"free-tier-retained": "true"}} |
map[string, map[string, string]] |
No | - | - |
timeCreated |
The date and time the DR protection group was created. An RFC3339 formatted datetime string. Example: 2019-03-29T09:36:42Z |
string |
No | - | - |
timeUpdated |
The date and time the DR protection group was updated. An RFC3339 formatted datetime string. Example: 2019-03-29T09:36:42Z |
string |
No | - | - |
Status.logLocation¶
Back to DrProtectionGroup status
DrProtectionGroupLogLocation defines nested fields for DrProtectionGroup.LogLocation.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
bucket |
The bucket name inside the object storage namespace. Example: operation_logs |
string |
Yes | - | - |
namespace |
The namespace in object storage (Note - this is usually the tenancy name). Example: myocitenancy |
string |
Yes | - | - |
Status.members[]¶
Back to DrProtectionGroup status
DrProtectionGroupMember defines nested fields for DrProtectionGroup.Member.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
autonomousDatabaseStandbyTypeForDrDrills |
This specifies the mechanism used to create a temporary Autonomous Database instance for DR Drills. See https://docs.oracle.com/en/cloud/paas/autonomous-database/serverless/adbsb/autonomous-clone-about.html for information about these clone types. See https://docs.oracle.com/en/cloud/paas/autonomous-database/serverless/adbsb/autonomous-data-guard-snapshot-standby.html for information about snapshot standby. | string |
No | - | - |
backendSetMappings |
A list of backend set mappings that are used to transfer or update backends during DR. | list[object] |
No | - | - |
backupConfig |
DrProtectionGroupMemberBackupConfig defines nested fields for DrProtectionGroup.Member.BackupConfig. | object |
No | - | - |
backupLocation |
DrProtectionGroupMemberBackupLocation defines nested fields for DrProtectionGroup.Member.BackupLocation. | object |
No | - | - |
blockVolumeAttachAndMountOperations |
DrProtectionGroupMemberBlockVolumeAttachAndMountOperations defines nested fields for DrProtectionGroup.Member.BlockVolumeAttachAndMountOperations. | object |
No | - | - |
blockVolumeOperations |
Deprecated. Use the 'blockVolumeAttachAndMountOperations' attribute instead of this. A list of operations performed on block volumes used by the compute instance. | list[object] |
No | - | - |
bucketName |
The bucket name inside the object storage namespace. Example: bucket_name |
string |
No | - | - |
commonDestinationKey |
DrProtectionGroupMemberCommonDestinationKey defines nested fields for DrProtectionGroup.Member.CommonDestinationKey. | object |
No | - | - |
connectionStringType |
The type of connection strings used to connect to an Autonomous Container Database snapshot standby created during a DR Drill operation. See https://docs.oracle.com/en/cloud/paas/autonomous-database/dedicated/adbcl/index.html for information about these service types. | string |
No | - | - |
dbSystemAdminUserDetails |
DrProtectionGroupMemberDbSystemAdminUserDetails defines nested fields for DrProtectionGroup.Member.DbSystemAdminUserDetails. | object |
No | - | - |
dbSystemReplicationUserDetails |
DrProtectionGroupMemberDbSystemReplicationUserDetails defines nested fields for DrProtectionGroup.Member.DbSystemReplicationUserDetails. | object |
No | - | - |
destinationAvailabilityDomain |
The availability domain of the destination mount target. Example: BBTh:region-AD |
string |
No | - | - |
destinationBackupPolicyId |
The OCID of the backup policy to use in the destination region. This policy will be used to create backups for this volume group after it moves the destination region. Example: ocid1.volumebackuppolicy.oc1..uniqueID |
string |
No | - | - |
destinationCapacityReservationId |
The OCID of a capacity reservation in the destination region which will be used to launch the compute instance. Example: ocid1.capacityreservation.oc1..uniqueID |
string |
No | - | - |
destinationCompartmentId |
The OCID of a compartment in the destination region in which the file system should be launched. Example: ocid1.compartment.oc1..uniqueID |
string |
No | - | - |
destinationDedicatedVmHostId |
The OCID of a dedicated VM host in the destination region where the compute instance should be launched. Example: ocid1.dedicatedvmhost.oc1..uniqueID |
string |
No | - | - |
destinationEncryptionKey |
DrProtectionGroupMemberDestinationEncryptionKey defines nested fields for DrProtectionGroup.Member.DestinationEncryptionKey. | object |
No | - | - |
destinationLoadBalancerId |
The OCID of the destination load balancer. Example: ocid1.loadbalancer.oc1..uniqueID |
string |
No | - | - |
destinationNetworkLoadBalancerId |
The OCID of the destination network load balancer. Example: ocid1.networkloadbalancer.oc1..uniqueID |
string |
No | - | - |
destinationSnapshotPolicyId |
The OCID of the snapshot policy to use in the destination region. This policy will be attached to the file system after it moves to the destination region. Example: ocid1.filesystemsnapshotpolicy.oc1..uniqueID |
string |
No | - | - |
exportMappings |
A list of mappings between file system exports in the primary region and mount targets in the standby region. | list[object] |
No | - | - |
fileSystemOperations |
A list of operations performed on file systems used by the compute instance. | list[object] |
No | - | - |
gtidReconciliationTimeout |
The maximum time (in seconds) to wait for the Global Transaction Identifier (GTID) synchronization process to complete before timing out. Example: 600 |
integer |
No | - | - |
isContinueOnGtidReconciliationTimeout |
A flag indicating whether to continue with DR operation if the Global Transaction Identifier (GTID) reconciliation operation times out. Example: false |
boolean |
No | - | - |
isMovable |
A flag indicating if the compute instance should be moved during DR operations. Example: false |
boolean |
No | - | - |
isRetainFaultDomain |
A flag indicating if the compute instance should be moved to the same fault domain in the destination region. The compute instance launch will fail if this flag is set to true and capacity is not available in the specified fault domain in the destination region. Example: false |
boolean |
No | - | - |
isStartStopEnabled |
A flag indicating whether the non-movable compute instance should be started and stopped during DR operations. Prechecks cannot be executed on stopped instances that are configured to be started. | boolean |
No | - | - |
jsonData |
- | string |
No | - | - |
jumpHostId |
The OCID of the compute instance member that is designated as a jump host. This compute instance will be used to perform DR operations on the cluster using Oracle Cloud Agent's Run Command feature. Example: ocid1.instance.oc1..uniqueID |
string |
No | - | - |
loadBalancerMappings |
The list of source-to-destination load balancer mappings required for DR operations. This property applies to the OKE cluster member in primary region. | list[object] |
No | - | - |
managedNodePoolConfigs |
The list of managed node pools with configurations for minimum and maximum node counts. This property applies to the OKE cluster member in both the primary and standby region. | list[object] |
No | - | - |
memberId |
The OCID of the member. Example: ocid1.instance.oc1..uniqueID |
string |
Yes | - | - |
memberType |
- | string |
No | - | - |
namespaceName |
The namespace in object storage (Note - this is usually the tenancy name). Example: myocitenancy |
string |
No | - | - |
networkLoadBalancerMappings |
The list of source-to-destination network load balancer mappings required for DR operations. This property applies to the OKE cluster member in primary region. | list[object] |
No | - | - |
passwordVaultSecretId |
The OCID of the vault secret where the database SYSDBA password is stored. Example: ocid1.vaultsecret.oc1..uniqueID |
string |
No | - | - |
peerClusterId |
The OCID of the peer OKE cluster. This property applies to the OKE cluster member in both the primary and standby region. Example: ocid1.cluster.oc1..uniqueID |
string |
No | - | - |
peerDbSystemId |
The OCID of the peer HeatWave MySQL DB System from the peer region. Example: ocid1.mysqldbsystem.oc1..uniqueID |
string |
No | - | - |
resourceModifierMappings |
The list of config maps along with their corresponding namespaces. This property applies to the OKE cluster member in primary region. | list[object] |
No | - | - |
sourceVolumeToDestinationEncryptionKeyMappings |
A list of mappings between source volume IDs in the volume group and customer-managed encryption keys in the destination region which will be used to encrypt the volume after it moves to the destination region. If you add the entry for source volumes and its corresponding vault and encryption keys here, you can not use 'commonDestinationKey' for encrypting all volumes with common encryption key. Similarly, if you specify common vault and encryption key using 'commonDestinationKey', you cannot specify vaults and encryption keys individually for each volume using 'sourceVolumeToDestinationEncryptionKeyMappings'. An entry for each volume in volume group should be added in this list. The encryption key will not be updated for the volumes that are part of volume group but missing in this list. | list[object] |
No | - | - |
vaultMappings |
The list of source-to-destination vault mappings required for DR operations. This property applies to the OKE cluster member in primary region. | list[object] |
No | - | - |
virtualNodePoolConfigs |
The list of virtual node pools with configurations for minimum and maximum node counts. This property applies to the OKE cluster member in both the primary and standby region. | list[object] |
No | - | - |
vnicMapping |
A list of compute instance VNIC mappings. | list[object] |
No | - | - |
vnicMappings |
A list of compute instance VNIC mappings. | list[object] |
No | - | - |
Status.members[].backendSetMappings[]¶
Back to DrProtectionGroup status
DrProtectionGroupMemberBackendSetMapping defines nested fields for DrProtectionGroup.Member.BackendSetMapping.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
destinationBackendSetName |
The name of the destination backend set. Example: Destination-BackendSet-1 |
string |
Yes | - | - |
isBackendSetForNonMovable |
This flag specifies if this backend set is used for traffic for non-movable compute instances. Backend sets that point to non-movable instances are only enabled or disabled during DR, their contents are not altered. For non-movable instances this flag should be set to 'true'. Backend sets that point to movable instances are emptied and their contents are transferred to the destination region load balancer. For movable instances this flag should be set to 'false'. Example: true |
boolean |
Yes | - | - |
sourceBackendSetName |
The name of the source backend set. Example: Source-BackendSet-1 |
string |
Yes | - | - |
Status.members[].backupConfig¶
Back to DrProtectionGroup status
DrProtectionGroupMemberBackupConfig defines nested fields for DrProtectionGroup.Member.BackupConfig.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
backupSchedule |
The schedule for backing up namespaces to the destination region. If a backup schedule is not specified, only a single backup will be created. This format of the string specifying the backup schedule must conform with RFC-5545 (see examples below). This schedule will use the UTC timezone. This property applies to the OKE cluster member in primary region. The backup frequency can be HOURLY, DAILY, WEEKLY or MONTHLY, and the upper and lower interval bounds are as follows HOURLY - Minimum = 1 - Maximum = 24 DAILY - Minimum = 1 - Maximum = 30 WEEKLY - Minimum = 1 - Maximum = 1 MONTHLY - Minimum = 1 - Maximum = 12 Examples: FREQ=WEEKLY;BYDAY=MO,WE;BYHOUR=10;INTERVAL=1 -> Run a backup every Monday and Wednesday at 10:00 AM. FREQ=WEEKLY;BYDAY=MO,WE;BYHOUR=10;INTERVAL=2 -> Invalid configuration (Cannot specify an interval of 2). FREQ=HOURLY;INTERVAL=25 -> Invalid configuration (Cannot specify an interval of 25). FREQ=HOURLY;INTERVAL=0 -> Invalid configuration (Cannot specify an interval of 0). FREQ=HOURLY;INTERVAL=24 -> Run a backup every 24 hours. FREQ=HOURLY;INTERVAL=1 -> Run a backup every hour. FREQ=HOURLY;BYMINUTE=30;INTERVAL=15 -> Run a backup every 15 hours at the 30th minute. FREQ=DAILY;INTERVAL=31 -> Invalid configuration (Cannot specify an interval of 31). FREQ=DAILY;INTERVAL=0 -> Invalid configuration (Cannot specify an interval of 0). FREQ=DAILY;INTERVAL=30 -> Run a backup every 30 days at 12:00 midnight. FREQ=DAILY;BYHOUR=17;BYMINUTE=10;INTERVAL=1 -> Run a backup daily at 05:10 PM. | string |
No | - | - |
excludeNamespaces |
A list of namespaces to be excluded from the backup. The default value is null. If a list of namespaces to exclude is not provided, all namespaces will be backed up. Specify either the namespaces or the excludeNamespaces parameter, but not both. This property applies to OKE cluster members in the primary region. Example: ["namespace_string_3", "namespace_string_4"] |
list[string] |
No | - | - |
imageReplicationVaultSecretId |
The OCID of the vault secret that stores the image credential. This property applies to the OKE cluster member in both the primary and standby region. | string |
No | - | - |
maxNumberOfBackupsRetained |
The maximum number of backups that should be retained. This property applies to the OKE cluster member in primary region. | integer |
No | - | - |
namespaces |
A list of namespaces to be included in the backup. The default value is null. If a list of namespaces to include is not provided, all namespaces will be backed up. Specify either the namespaces or the excludeNamespaces parameter, but not both. This property applies to the OKE cluster member in primary region. Example: ["default", "pv-nginx"] |
list[string] |
No | - | - |
replicateImages |
Controls the behaviour of image replication across regions. Image replication is enabled by default for DR Protection Groups with a primary role. This property applies to the OKE cluster member in primary region. | string |
No | - | - |
Status.members[].backupLocation¶
Back to DrProtectionGroup status
DrProtectionGroupMemberBackupLocation defines nested fields for DrProtectionGroup.Member.BackupLocation.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
bucket |
The bucket name inside the object storage namespace. Example: operation_logs |
string |
No | - | - |
namespace |
The namespace in the object storage bucket location (Note - this is usually the tenancy name). Example: myocitenancy |
string |
No | - | - |
Status.members[].blockVolumeAttachAndMountOperations¶
Back to DrProtectionGroup status
DrProtectionGroupMemberBlockVolumeAttachAndMountOperations defines nested fields for DrProtectionGroup.Member.BlockVolumeAttachAndMountOperations.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
attachments |
A list of details of attach or detach operations performed on block volumes. | list[object] |
No | - | - |
mounts |
A list of details of mount operations performed on block volumes. | list[object] |
No | - | - |
Status.members[].blockVolumeAttachAndMountOperations.attachments[]¶
Back to DrProtectionGroup status
DrProtectionGroupMemberBlockVolumeAttachAndMountOperationsAttachment defines nested fields for DrProtectionGroup.Member.BlockVolumeAttachAndMountOperations.Attachment.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
blockVolumeId |
The OCID of the block volume. Example: ocid1.volume.oc1..uniqueID |
string |
Yes | - | - |
volumeAttachmentReferenceInstanceId |
The OCID of the reference compute instance needed to obtain the volume attachment details. This reference compute instance belongs to the peer DR protection group. Example: ocid1.instance.oc1..uniqueID |
string |
No | - | - |
Status.members[].blockVolumeAttachAndMountOperations.mounts[]¶
Back to DrProtectionGroup status
DrProtectionGroupMemberBlockVolumeAttachAndMountOperationsMount defines nested fields for DrProtectionGroup.Member.BlockVolumeAttachAndMountOperations.Mount.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
mountPoint |
The physical mount point where the file system is mounted on the block volume. Example: /mnt/yourmountpoint |
string |
Yes | - | - |
Status.members[].blockVolumeOperations[]¶
Back to DrProtectionGroup status
DrProtectionGroupMemberBlockVolumeOperation defines nested fields for DrProtectionGroup.Member.BlockVolumeOperation.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
attachmentDetails |
DrProtectionGroupMemberBlockVolumeOperationAttachmentDetails defines nested fields for DrProtectionGroup.Member.BlockVolumeOperation.AttachmentDetails. | object |
No | - | - |
blockVolumeId |
The OCID of the block volume. Example: ocid1.volume.oc1..uniqueID |
string |
Yes | - | - |
mountDetails |
DrProtectionGroupMemberBlockVolumeOperationMountDetails defines nested fields for DrProtectionGroup.Member.BlockVolumeOperation.MountDetails. | object |
No | - | - |
Status.members[].blockVolumeOperations[].attachmentDetails¶
Back to DrProtectionGroup status
DrProtectionGroupMemberBlockVolumeOperationAttachmentDetails defines nested fields for DrProtectionGroup.Member.BlockVolumeOperation.AttachmentDetails.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
volumeAttachmentReferenceInstanceId |
The OCID of the reference compute instance needed to obtain the volume attachment details. This reference compute instance belongs to the peer DR protection group. Example: ocid1.instance.oc1..uniqueID |
string |
No | - | - |
Status.members[].blockVolumeOperations[].mountDetails¶
Back to DrProtectionGroup status
DrProtectionGroupMemberBlockVolumeOperationMountDetails defines nested fields for DrProtectionGroup.Member.BlockVolumeOperation.MountDetails.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
mountPoint |
The physical mount point where the file system is mounted on the block volume. Example: /mnt/yourmountpoint |
string |
No | - | - |
Status.members[].commonDestinationKey¶
Back to DrProtectionGroup status
DrProtectionGroupMemberCommonDestinationKey defines nested fields for DrProtectionGroup.Member.CommonDestinationKey.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
encryptionKeyId |
The OCID of the customer-managed encryption key in the destination region vault. Example: ocid1.key.oc1..uniqueID |
string |
Yes | - | - |
vaultId |
The OCID of the destination region vault for the customer-managed encryption key. Example: ocid1.vault.oc1..uniqueID |
string |
Yes | - | - |
Status.members[].dbSystemAdminUserDetails¶
Back to DrProtectionGroup status
DrProtectionGroupMemberDbSystemAdminUserDetails defines nested fields for DrProtectionGroup.Member.DbSystemAdminUserDetails.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
passwordVaultSecretId |
The OCID of the vault secret where the HeatWave MySQL DB System password is stored. Example: ocid1.vaultsecret.oc1..uniqueID |
string |
Yes | - | - |
username |
The user name for connecting to the HeatWave MySQL DB System node. Example: user |
string |
Yes | - | - |
Status.members[].dbSystemReplicationUserDetails¶
Back to DrProtectionGroup status
DrProtectionGroupMemberDbSystemReplicationUserDetails defines nested fields for DrProtectionGroup.Member.DbSystemReplicationUserDetails.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
passwordVaultSecretId |
The OCID of the vault secret where the HeatWave MySQL DB System password is stored. Example: ocid1.vaultsecret.oc1..uniqueID |
string |
Yes | - | - |
username |
The user name for connecting to the HeatWave MySQL DB System node. Example: user |
string |
Yes | - | - |
Status.members[].destinationEncryptionKey¶
Back to DrProtectionGroup status
DrProtectionGroupMemberDestinationEncryptionKey defines nested fields for DrProtectionGroup.Member.DestinationEncryptionKey.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
encryptionKeyId |
The OCID of the customer-managed encryption key in the destination region vault. Example: ocid1.key.oc1..uniqueID |
string |
Yes | - | - |
vaultId |
The OCID of the destination region vault for the customer-managed encryption key. Example: ocid1.vault.oc1..uniqueID |
string |
Yes | - | - |
Status.members[].exportMappings[]¶
Back to DrProtectionGroup status
DrProtectionGroupMemberExportMapping defines nested fields for DrProtectionGroup.Member.ExportMapping.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
destinationMountTargetId |
The OCID of the destination mount target in the destination region which is used to export the file system. Example: ocid1.mounttarget.oc1..uniqueID |
string |
Yes | - | - |
exportId |
The OCID of the export path in the primary region used to mount or unmount the file system. Example: ocid1.export.oc1..uniqueID |
string |
Yes | - | - |
Status.members[].fileSystemOperations[]¶
Back to DrProtectionGroup status
DrProtectionGroupMemberFileSystemOperation defines nested fields for DrProtectionGroup.Member.FileSystemOperation.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
exportPath |
The export path of the file system. Example: /fs-export-path |
string |
Yes | - | - |
mountDetails |
DrProtectionGroupMemberFileSystemOperationMountDetails defines nested fields for DrProtectionGroup.Member.FileSystemOperation.MountDetails. | object |
Yes | - | - |
mountPoint |
The physical mount point of the file system on a host. Example: /mnt/yourmountpoint |
string |
Yes | - | - |
unmountDetails |
DrProtectionGroupMemberFileSystemOperationUnmountDetails defines nested fields for DrProtectionGroup.Member.FileSystemOperation.UnmountDetails. | object |
Yes | - | - |
Status.members[].fileSystemOperations[].mountDetails¶
Back to DrProtectionGroup status
DrProtectionGroupMemberFileSystemOperationMountDetails defines nested fields for DrProtectionGroup.Member.FileSystemOperation.MountDetails.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
mountTargetId |
The OCID of the mount target for this file system. Example: ocid1.mounttarget.oc1..uniqueID |
string |
No | - | - |
Status.members[].fileSystemOperations[].unmountDetails¶
Back to DrProtectionGroup status
DrProtectionGroupMemberFileSystemOperationUnmountDetails defines nested fields for DrProtectionGroup.Member.FileSystemOperation.UnmountDetails.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
mountTargetId |
The OCID of the mount target. Example: ocid1.mounttarget.oc1..uniqueID |
string |
No | - | - |
Status.members[].loadBalancerMappings[]¶
Back to DrProtectionGroup status
DrProtectionGroupMemberLoadBalancerMapping defines nested fields for DrProtectionGroup.Member.LoadBalancerMapping.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
destinationLoadBalancerId |
The OCID of the destination Load Balancer. Example: ocid1.loadbalancer.oc1..uniqueID |
string |
Yes | - | - |
sourceLoadBalancerId |
The OCID of the source Load Balancer. Example: ocid1.loadbalancer.oc1..uniqueID |
string |
Yes | - | - |
Status.members[].managedNodePoolConfigs[]¶
Back to DrProtectionGroup status
DrProtectionGroupMemberManagedNodePoolConfig defines nested fields for DrProtectionGroup.Member.ManagedNodePoolConfig.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
id |
The OCID of the managed node pool in OKE cluster. | string |
Yes | - | - |
maximum |
The maximum number to which nodes in the managed node pool could be scaled up. | integer |
No | - | - |
minimum |
The minimum number to which nodes in the managed node pool could be scaled down. | integer |
No | - | - |
Status.members[].networkLoadBalancerMappings[]¶
Back to DrProtectionGroup status
DrProtectionGroupMemberNetworkLoadBalancerMapping defines nested fields for DrProtectionGroup.Member.NetworkLoadBalancerMapping.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
destinationNetworkLoadBalancerId |
The OCID of the Network Load Balancer. Example: ocid1.networkloadbalancer.oc1..uniqueID |
string |
Yes | - | - |
sourceNetworkLoadBalancerId |
The OCID of the source Network Load Balancer. Example: ocid1.networkloadbalancer.oc1..uniqueID |
string |
Yes | - | - |
Status.members[].resourceModifierMappings[]¶
Back to DrProtectionGroup status
DrProtectionGroupMemberResourceModifierMapping defines nested fields for DrProtectionGroup.Member.ResourceModifierMapping.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
configMap |
The name of the config map containing resource modification details. Example: resource-modifier |
string |
Yes | - | - |
namespace |
The OKE namespace where the config map resides. Example: namespace_string_5 |
string |
Yes | - | - |
Status.members[].sourceVolumeToDestinationEncryptionKeyMappings[]¶
Back to DrProtectionGroup status
DrProtectionGroupMemberSourceVolumeToDestinationEncryptionKeyMapping defines nested fields for DrProtectionGroup.Member.SourceVolumeToDestinationEncryptionKeyMapping.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
destinationEncryptionKey |
DrProtectionGroupMemberSourceVolumeToDestinationEncryptionKeyMappingDestinationEncryptionKey defines nested fields for DrProtectionGroup.Member.SourceVolumeToDestinationEncryptionKeyMapping.DestinationEncryptionKey. | object |
Yes | - | - |
sourceVolumeId |
The OCID of the source boot volume or block volume. Example: ocid1.volume.oc1..uniqueID |
string |
Yes | - | - |
Status.members[].sourceVolumeToDestinationEncryptionKeyMappings[].destinationEncryptionKey¶
Back to DrProtectionGroup status
DrProtectionGroupMemberSourceVolumeToDestinationEncryptionKeyMappingDestinationEncryptionKey defines nested fields for DrProtectionGroup.Member.SourceVolumeToDestinationEncryptionKeyMapping.DestinationEncryptionKey.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
encryptionKeyId |
The OCID of the customer-managed encryption key in the destination region vault. Example: ocid1.key.oc1..uniqueID |
string |
Yes | - | - |
vaultId |
The OCID of the destination region vault for the customer-managed encryption key. Example: ocid1.vault.oc1..uniqueID |
string |
Yes | - | - |
Status.members[].vaultMappings[]¶
Back to DrProtectionGroup status
DrProtectionGroupMemberVaultMapping defines nested fields for DrProtectionGroup.Member.VaultMapping.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
destinationVaultId |
The OCID of the destination Vault. Example: ocid1.vault.oc1..uniqueID |
string |
Yes | - | - |
sourceVaultId |
The OCID of the source Vault. Example: ocid1.vault.oc1..uniqueID |
string |
Yes | - | - |
Status.members[].virtualNodePoolConfigs[]¶
Back to DrProtectionGroup status
DrProtectionGroupMemberVirtualNodePoolConfig defines nested fields for DrProtectionGroup.Member.VirtualNodePoolConfig.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
id |
The OCID of the virtual node pool in OKE cluster. | string |
Yes | - | - |
maximum |
The maximum number to which nodes in the virtual node pool could be scaled up. | integer |
No | - | - |
minimum |
The minimum number to which nodes in the virtual node pool could be scaled down. | integer |
No | - | - |
Status.members[].vnicMapping[]¶
Back to DrProtectionGroup status
DrProtectionGroupMemberVnicMapping defines nested fields for DrProtectionGroup.Member.VnicMapping.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
destinationNsgIdList |
A list of OCIDs of network security groups (NSG) in the destination region which should be assigned to the source VNIC. Example: [ ocid1.networksecuritygroup.oc1..uniqueID, ocid1.networksecuritygroup.oc1..uniqueID ] |
list[string] |
No | - | - |
destinationPrimaryPrivateIpAddress |
The primary private IP address to be assigned to the source VNIC in the destination subnet. This IP address must belong to the destination subnet. Example: 10.0.3.3 |
string |
No | - | - |
destinationPrimaryPrivateIpHostnameLabel |
The hostname label to be assigned in the destination subnet for the primary private IP of the source VNIC. This label is the hostname portion of the private IP's fully qualified domain name (FQDN) (for example, 'myhost1' in the FQDN 'myhost1.subnet123.vcn1.oraclevcn.com'). Example: myhost1 |
string |
No | - | - |
destinationReservedPublicIpId |
The OCID of the reserved public IP address to be assigned to the compute instance in the destination region. Example: ocid1.publicip.oc1..uniqueID |
string |
No | - | - |
destinationSubnetId |
The OCID of the destination subnet to which the source VNIC should connect. Example: ocid1.subnet.oc1..uniqueID |
string |
Yes | - | - |
sourceVnicId |
The OCID of the source VNIC. Example: ocid1.vnic.oc1..uniqueID |
string |
Yes | - | - |
Status.members[].vnicMappings[]¶
Back to DrProtectionGroup status
DrProtectionGroupMemberVnicMapping defines nested fields for DrProtectionGroup.Member.VnicMapping.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
destinationNsgIdList |
A list of OCIDs of network security groups (NSG) in the destination region which should be assigned to the source VNIC. Example: [ ocid1.networksecuritygroup.oc1..uniqueID, ocid1.networksecuritygroup.oc1..uniqueID ] |
list[string] |
No | - | - |
destinationPrimaryPrivateIpAddress |
The primary private IP address to be assigned to the source VNIC in the destination subnet. This IP address must belong to the destination subnet. Example: 10.0.3.3 |
string |
No | - | - |
destinationPrimaryPrivateIpHostnameLabel |
The hostname label to be assigned in the destination subnet for the primary private IP of the source VNIC. This label is the hostname portion of the private IP's fully qualified domain name (FQDN) (for example, 'myhost1' in the FQDN 'myhost1.subnet123.vcn1.oraclevcn.com'). Example: myhost1 |
string |
No | - | - |
destinationReservedPublicIpId |
The OCID of the reserved public IP address to be assigned to the compute instance in the destination region. Example: ocid1.publicip.oc1..uniqueID |
string |
No | - | - |
destinationSubnetId |
The OCID of the destination subnet to which the source VNIC should connect. Example: ocid1.subnet.oc1..uniqueID |
string |
Yes | - | - |
sourceVnicId |
The OCID of the source VNIC. Example: ocid1.vnic.oc1..uniqueID |
string |
Yes | - | - |
Status.status¶
Back to DrProtectionGroup status
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
async |
Async is the canonical controller-owned async contract. Resource-local legacy work-request fields may remain as compatibility mirrors while follow-on migrations land, but new async state should project here first. | object |
No | - | - |
conditions |
- | list[object] |
No | - | - |
createdAt |
- | string (date-time) |
No | - | - |
deletedAt |
- | string (date-time) |
No | - | - |
message |
- | string |
No | - | - |
ocid |
- | string |
No | - | - |
opcRequestId |
OpcRequestID is the latest non-empty OCI request ID from a mutating OCI response or surfaced OCI service error that materially contributed to the current shared status projection. Headerless follow-up observations keep the last non-empty value intact. | string |
No | - | - |
reason |
- | string |
No | - | - |
requestedAt |
- | string (date-time) |
No | - | - |
updatedAt |
- | string (date-time) |
No | - | - |
Status.status.async¶
Back to DrProtectionGroup status
Async is the canonical controller-owned async contract. Resource-local legacy work-request fields may remain as compatibility mirrors while follow-on migrations land, but new async state should project here first.
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
current |
- | object |
No | - | - |
Status.status.async.current¶
Back to DrProtectionGroup status
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
message |
- | string |
No | - | - |
normalizedClass |
- | string |
Yes | - | attention, canceled, failed, pending, succeeded, unknown |
percentComplete |
- | number |
No | - | - |
phase |
- | string |
Yes | - | create, delete, update |
rawOperationType |
- | string |
No | - | - |
rawStatus |
- | string |
No | - | - |
source |
- | string |
Yes | - | lifecycle, none, workrequest |
updatedAt |
- | string (date-time) |
Yes | - | - |
workRequestId |
- | string |
No | - | - |
Status.status.conditions[]¶
Back to DrProtectionGroup status
| Field | Description | Type | Required | Default | Enum |
|---|---|---|---|---|---|
lastTransitionTime |
- | string (date-time) |
No | - | - |
message |
- | string |
No | - | - |
reason |
- | string |
No | - | - |
status |
- | string |
Yes | - | - |
type |
- | string |
Yes | - | - |